// UniButtonDemoDlg.cpp : implementation file
//

#include "stdafx.h"
#include "UniButtonDemo.h"
#include "UniButtonDemoDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CUniButtonDemoDlg dialog

CUniButtonDemoDlg::CUniButtonDemoDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CUniButtonDemoDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CUniButtonDemoDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
	m_hBmpBkgnd = NULL;
}

void CUniButtonDemoDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CUniButtonDemoDlg)
	DDX_Control(pDX, IDC_BUTTON4, m_button4);
	DDX_Control(pDX, IDC_BUTTON3, m_button3);
	DDX_Control(pDX, IDC_BUTTON2, m_button2);
	DDX_Control(pDX, IDC_BUTTON1, m_button1);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CUniButtonDemoDlg, CDialog)
	//{{AFX_MSG_MAP(CUniButtonDemoDlg)
	ON_WM_PAINT()
	ON_BN_CLICKED(IDC_BUTTON1, OnButton1)
	ON_BN_CLICKED(IDC_BUTTON2, OnButton2)
	ON_BN_CLICKED(IDC_BUTTON3, OnButton3)
	ON_BN_CLICKED(IDC_BUTTON4, OnButton4)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CUniButtonDemoDlg message handlers

BOOL CUniButtonDemoDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	
	CenterWindow(GetDesktopWindow());	// center to the hpc screen

	// TODO: Add extra initialization here
	m_hBmpBkgnd = ::LoadBitmap( AfxGetInstanceHandle(), MAKEINTRESOURCE(IDB_BITMAP_BKGND) );

	m_button1.SetBkgndHandle(m_hBmpBkgnd);
	m_button1.HideText(FALSE);
	m_button1.SetTransparent(TRUE);
	m_button1.HideText(FALSE);
	m_button1.SetTopEdgeColor(RGB(20,20,20));
	m_button1.SetLeftEdgeColor(RGB(40,40,40));

	m_button2.SetBkgndHandle(m_hBmpBkgnd);
	m_button2.HideText(FALSE);
	m_button2.SetTransparent(TRUE);
	m_button2.HideText(FALSE);
	//m_button2.SetTextColor(RGB(200,200,200));
	m_button2.FontStyle("MS Sans Serif", 14, 8, TRUE, FALSE);
	m_button2.FontStyle("MS Sans Serif", 14, 8, TRUE, FALSE);
	m_button2.LoadWAV("Test.WAV", TRUE);
	//m_button2.LoadWAV("Test.WAV", FALSE);

	m_button3.SetWindowPos(this,20,80,177,97,SWP_NOZORDER);
	m_button3.SetBtnUpImg(IDB_BITMAP_BTNUP);
	m_button3.SetBtnDownImg(IDB_BITMAP_BTNDOWN);
	m_button3.SetBkgndHandle(m_hBmpBkgnd);
	m_button3.HideText(FALSE);
	m_button3.SetTransparent(FALSE);
	//m_button3.SetTranspColor(RGB(110,110,110));
	m_button3.HideText(FALSE);
	//m_button3.SetTextColor(RGB(100,100,100));
	m_button3.SetTextColor(RGB(0,0,255));
	m_button3.FontStyle("MS Sans Serif", 14, 8, TRUE, FALSE);

	m_button4.SetBkgndHandle(m_hBmpBkgnd);
	m_button4.HideText(FALSE);
	m_button4.SetTransparent(TRUE);
	m_button4.HideText(FALSE);
	m_button4.FontStyle("Ariel", 14, 6, TRUE, TRUE);

	return TRUE;  // return TRUE  unless you set the focus to a control
}



void CUniButtonDemoDlg::OnPaint() 
{
	CPaintDC dc(this); // device context for painting
	
	// TODO: Add your message handler code here
		CRect rect;
		GetClientRect(&rect);
		BITMAP bmp;

		::GetObject(m_hBmpBkgnd, sizeof(bmp), &bmp);
		HDC hDC = ::CreateCompatibleDC(NULL);
		if(hDC != NULL)
		{
			::SelectObject(hDC, m_hBmpBkgnd);
			::BitBlt(dc.m_hDC, 0, 0, rect.Width(), rect.Height(), hDC, 0, 0, SRCCOPY);
			::DeleteDC(hDC);
		}
	
		//CDialog::OnPaint();
	// Do not call CDialog::OnPaint() for painting messages
}

void CUniButtonDemoDlg::OnButton1() 
{
	// TODO: Add your control notification handler code here
	
}

void CUniButtonDemoDlg::OnButton2() 
{
	// TODO: Add your control notification handler code here
	
}

void CUniButtonDemoDlg::OnButton3() 
{
	// TODO: Add your control notification handler code here
	
}

void CUniButtonDemoDlg::OnButton4() 
{
	// TODO: Add your control notification handler code here
	AfxMessageBox(TEXT("Advatronix LLC"));
}
